Description

As the areas in question are only providing the Date (not the Time), I was only able to notice when my local time was a day off from

UTC.

It is honored for:

activity

repository (git)

files

It is not honored for:

issues/XX (issue detail)

issues/calendar

roadmap

Related issues:

Related to Redmine - Defect #1048: Day grouping on Activity view ignores user... Closed 2008-04-12

History

#1 - 2010-03-16 04:18 - Joshua Kifer

In lib/i18n.rb, format_date is not using User.current.time_zone like format_time does.

#2 - 2010-05-09 10:15 - Alain Alain091

I suggest the following patch but it is not fully tested and is delivered AS IS.

    def format_date(date)

      return nil unless date

      time = date.to_time

      zone = User.current.time_zone

      local = zone ? time.in_time_zone(zone) : (time.utc? ? time.localtime : time)     

      Setting.date_format.blank? ? ::I18n.l(local.to_date) : local.to_date.strftime(Setting.date_format)

    end

 See also my other patch for #5378

#3 - 2010-05-12 10:22 - Wang Congming

- File i18n.rb.patch added

Hi Alain,

I modified i18n.rb as you specified here and in #5378, now the patch looks like as my attachment. However, it doesn't work. I am not a ruby

developer, maybe I did something wrong, thanks for any suggestion.

We have a server, running Debian Squeeze + redmine trunk + git. Timezone of this server and our desktops are all UTC+8. Everytime, we (git) push

a file to server, and check immediately, redmine says the file is modified 8 hours ago.

#4 - 2010-05-12 18:56 - Alain Alain091

Are you talking about the zone settings in the redmine profil settings ?
#5 - 2010-05-14 04:58 - Wang Congming

Everywhere. Include: system timezone setting of our server, system timezone setting of all our desktops, and the timezone setting in redmine profile.

They are all UTC+8.

However, if I (git) push a file from my desktop to our server, and check redmine's repository immediately, redmine says this file is modified 8 hours

ago.

#6 - 2013-01-14 15:36 - Daniel Felix

- Status changed from New to Needs feedback

Any news on this? Is this still true?

I've seen some changes in some methods which correct the timezone support, but I'm not sure if they are consistently corrected in every

model/controller.

#7 - 2017-01-10 13:40 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

This issue is too old.

Please create new issue if you still have problem.

Files

i18n.rb.patch 1.59 KB 2010-05-12 Wang Congming
